<?php

namespace App\Classes\Modules\Addresses\Services;


use App\Classes\General\Eloquent\AbstractListRecord;
use App\Models\State;
use Illuminate\Database\Eloquent\Builder;

class ListsStates extends AbstractListRecord
{

    /** @var State */
    private $repository;

    /**
     * ListsStates constructor.
     * @param State $repository
     */
    public function __construct(State $repository)
    {
        $this->repository = $repository;
    }


    /**
     * @return Builder
     */
    function getRepository(): Builder
    {
        return $this->repository->newQuery();
    }
}
